since ‎17-12-2015
‎10-12-2019
kalyanc42390873
Level 2
Re: Uploading thumbnail for a page from DAM in AEM 6.3
Avatar

kalyanc42390873

kalyanc42390873
- Adobe Experience Manager
Hi priyankabiswal-AtAznR​,Followed steps as per the above. Asset picker is not working. I tried using pathtobrowser and pathtofield. It is working but it is not getting updated in the thumbnail icon when we select the image from the dialog of pageproperties and it is not getting updated with the new image of thumbnail in the columnpreview.PFA image screenshot.Thanks & Regards,Kalyan

Views

1.7K

Like

1

Replies

0
Re: Uploading thumbnail for a page from DAM in AEM 6.3
Avatar

kalyanc42390873

kalyanc42390873
- Adobe Experience Manager
Hi priyankabiswal-AtAznR​,When i use the assetpicker it is not working as click is not working for asset picker to display the dialog. Could you please help me on this.Thanks & Regards,Kalyan

Views

1.6K

Like

1

Replies

0
Re: Uploading thumbnail for a page from DAM in AEM 6.3
Avatar

kalyanc42390873

kalyanc42390873
- Adobe Experience Manager
Hi Priyanka,When i use the assetpicker it is not working as click is not working for asset picker to display the dialog. Could you please help me on this.Thanks & Regards,Kalyan

Views

1.6K

Like

1

Replies

0
Re: How to use the AEM Asset Selector in a dialog?
Avatar

kalyanc42390873

kalyanc42390873
- Adobe Experience Manager
smacdonald2008I want to launch the asset selector through Granite Path Field​ in dialog, for image asset selection.Regards,Kalyan

Views

2.1K

Like

1

Replies

0
How to use the AEM Asset Selector in a dialog?
Avatar

kalyanc42390873

kalyanc42390873
- Adobe Experience Manager
As per document Asset Selector , http://localhost:4502/aem/assetpicker.html?dialog=true Use these parameters to open the asset selector as Granite Dialog. This option is only applicable when you launch the asset selector through Granite Path Field, and configure it as pickerSrc URL.I tried the following code in the dialog XML:The pathfield above does not seems to use the alternative picker specified by the pickerSrcand behaves like a standard pathfield.Also tried adding the extra URL parameters ...

Views

4.7K

Likes

3

Replies

9
Resource Mapping of the respective site
Avatar

kalyanc42390873

kalyanc42390873
- Adobe Experience Manager
Hi ,Could you please help me regarding the configuration for resource mapping in AEM. Below are the url needs to be configured. http://localhost.80/content/mysite/home.html and http://localhost.80/mysite/home.html should redirect to the http://localhost.80/content/mysite/home.html. I have done the below configuration and it is impacting the default aem console urls like ( http://localhost:4503/libs/cq/core/content/welcome.html,http://localhost:4503/useradmin,etc..,. ){ jcr: primaryType: "sling:O...

Views

369

Likes

0

Replies

0
Re: SAML Linkage error.
Avatar

kalyanc42390873

kalyanc42390873
- Adobe Experience Manager
I have updated "Imported-Packge" & "Exported-Packge" sections in the manifest file of dependency bundle (by keeping only required references).Then the above Linkage error problem was solved.

Views

544

Likes

0

Replies

0
Re: SAML Linkage error.
Avatar

kalyanc42390873

kalyanc42390873
- Adobe Experience Manager
smacdonald2008 & justin_at_adobe , Thanks for the reply. Initially when we installed our project bundle we didnt install the dependency jars thinking that most of the classes will be available in OSGI container itself. But after installing our project bundle it still showing SAML references issues (which its not able to find withing OOTB OSGI container classes). thats why we have packed all these jars again and uploaded as dependency bundle.

Views

462

Likes

0

Replies

0
Re: SAML Linkage error.
Avatar

kalyanc42390873

kalyanc42390873
- Adobe Experience Manager
My dependency bundle contains below jars.jce.jarjoda-time-1.6.jarlogback-classic-1.0.13.jarlogback-core-1.0.13.jaropensaml-2.6.4.jaropenws-1.4.2-1.jarqname.jarslf4j.jarw3c-dom.jarxmltooling-1.4.1.jar

Views

465

Likes

0

Replies

0
SAML Linkage error.
Avatar

kalyanc42390873

kalyanc42390873
- Adobe Experience Manager
Hi,We are trying to post a SAML request from AEM. For that we have created a AEM servlet which frame SAML request and do a post call.While building the bundle in eclipse we didnt get any error but when we install the bundle in Felix console we are having some reference errors. To resolve these reference errors we kept all required dependency jars(SAML related Jars) in one bundle and then uploaded this bundle before we upload our project bundle. This resolved all the dependency issues (our projec...

Views

1.4K

Likes

0

Replies

5
Re: AEM 6.2 - Pages creation with cacheable and non cacheable components.
Avatar

kalyanc42390873

kalyanc42390873
- Adobe Experience Manager
Hi,Could anyone help me is there any sample code, how to include the dynamic components in place holderThanks & Regards,C.Kalyan

Views

1.5K

Likes

0

Replies

0
Re: AEM 6.2 - Pages creation with cacheable and non cacheable components.
Avatar

kalyanc42390873

kalyanc42390873
- Adobe Experience Manager
Hi,Can you give the sample how to Sling dynamic include tags for the dynamic components like header,footer,registration etc..,.?Thanks & Regards,C.Kalyan

Views

1.5K

Likes

0

Replies

2
Re: AEM 6.2 - Pages creation with cacheable and non cacheable components.
Avatar

kalyanc42390873

kalyanc42390873
- Adobe Experience Manager
Thanks for quick response. We will follow the links shared by you guys. if we stuck anywhere will get back to you

Views

1.5K

Likes

0

Replies

3
AEM 6.2 - Pages creation with cacheable and non cacheable components.
Avatar

kalyanc42390873

kalyanc42390873
- Adobe Experience Manager
Hi,We are implementing a project using AEM 6.2 version. We are having both static & dynamic components on the page.We are looking for option to build our components such way that entire page will be cached except the dynamic component sections(these dynamic components should render the content dynamically)Can you anyone please let me know what will be the best solution to achieve this. Thanks in advance. Regards,Kalyan

Views

1.9K

Likes

0

Replies

7
Re: AEM5.6.1-Hybris version support and caching the product id with query parameters
Avatar

kalyanc42390873

kalyanc42390873
- Adobe Experience Manager
thanks for the quick reply.May I know how we can overcome this caching issue by using selectors approach.Can you please provide us some sample examples or any references

Views

923

Likes

0

Replies

1
Re: AEM5.6.1-Hybris version support and caching the product id with query parameters
Avatar

kalyanc42390873

kalyanc42390873
- Adobe Experience Manager
smacdonald2008 wrote... Eng team stated: We don’t currently support hybris 6, and do not have immediate plans to do that (especially not for the AEM 5.6.1 version of the integration). Wrt dynamic pages, they are not following our recommended pattern, so cannot support their approach. We’ve seen a couple of cases that used selectors instead of query params, and that seemed to solve the caching problem

Views

923

Likes

0

Replies

2
AEM5.6.1-Hybris version support and caching the product id with query parameters
Avatar

kalyanc42390873

kalyanc42390873
- Adobe Experience Manager
Hi,We are working on AEM (5.6.1) – Hybris (6) integration. Will OOTB ecommerce integration packages will support integration between AEM 5.6.1 and Hybris 6 version.If so what are all ecommerce packages we have to use for AEM-Hybris integration. Also we are building one dynamic product detail page which shows different product details in that page based on the product id that we pass as query parameter in the URL(i.e ?productID=10001). http://localhost:4502/content/....../productdetails.html? pro...

Views

985

Likes

0

Replies

5
Re: AEM 5.6.1 with SAML Integration using SSO(Net IQ) with few scenarios
Avatar

kalyanc42390873

kalyanc42390873
- Adobe Experience Manager
Hi,Could you please let us know the update on the above scenerios?Thanks & Regards,C.Kalyan

Views

568

Likes

0

Replies

0
AEM 5.6.1 with SAML Integration using SSO(Net IQ) with few scenarios
Avatar

kalyanc42390873

kalyanc42390873
- Adobe Experience Manager
Hi,When we are working with SSO(Net IQ) with AEM ,got stucked with few scenarios. Need help/info how to handle the below scenarios. Is there any out of box handler or we need to customize and handle and could you please provide the sample code on this?Users should be able to access few pages without login into portal(with SSO using IDP) as an anonymous user Anonymous User has to be prompted for Login / Authentication while accessing certain pages or doing certain functionalities (if we can trigg...

Views

622

Likes

0

Replies

2
Re: Could not build the social-ugcbase1.1.34 bundle as it is depending on social-communities-api 1.1.34 version bundle
Avatar

kalyanc42390873

kalyanc42390873
- Adobe Experience Manager
but when iam trying to build after removing all the dependencies related to social communities and social-ugcbase .jars then it is failing due to below errors [INFO] -------------------------------------------------------------[ERROR] /D:/USGB/USGBDevelopment/development/usgboral/bundle/src/main/java/com/melbourneit/usgboral/cq/services/UserProfileService.java:[25,37] package org.apache.commons.fileupload does not exist[ERROR] /D:/USGB/USGBDevelopment/development/usgboral/bundle/src/main/java/co...

Views

1.5K

Likes

0

Replies

2
Re: Could not build the social-ugcbase1.1.34 bundle as it is depending on social-communities-api 1.1.34 version bundle
Avatar

kalyanc42390873

kalyanc42390873
- Adobe Experience Manager
In 5.6.1 in our code we are using CollabUtil and it is deprecated in 6.0 and instead of CollabUtil API we are using the SocialUtils and SocialResourceUtils for this we included the social-ucgbase dependency in pom.If we add uber.jar then it is not required to include the social-ugcbase dependency and will it resolve and can use SocialUtils and SocialResourceUtils with that uber dependency?

Views

1.5K

Likes

0

Replies

4
Re: Could not build the social-ugcbase1.1.34 bundle as it is depending on social-communities-api 1.1.34 version bundle
Avatar

kalyanc42390873

kalyanc42390873
- Adobe Experience Manager
But I need to use SocialUtils and SocialResourceUtils classes and it is available social-ugcbase. Is there anyother way for that?

Views

1.5K

Likes

0

Replies

6
Re: Could not build the social-ugcbase1.1.34 bundle as it is depending on social-communities-api 1.1.34 version bundle
Avatar

kalyanc42390873

kalyanc42390873
- Adobe Experience Manager
but in the repository we have only two versions of social ugcbase (cq-social-ugcbase-1.1.34:jar/cq-social-ugcbase-1.1.38:jar) jars and it is depending only on social-communities-api-1.3.4 jar.Could you please help me on this

Views

1.5K

Likes

0

Replies

0
Could not build the social-ugcbase1.1.34 bundle as it is depending on social-communities-api 1.1.34 version bundle
Avatar

kalyanc42390873

kalyanc42390873
- Adobe Experience Manager
~Hi All, I am trying to build our migration project through Maven. I added dependencies required.When i tried to build and install i got an error saying[INFO] ------------------------------------------------------------------------[ERROR] Failed to execute goal on project usgboral-bundle: Could not resolve dependencies for project melbourne-it:usgboral-bundle:bundle:3.0-USG-BORAL-SNAPSHOT: Failed to collect dependencies at com.adobe.cq.social:cq-social-ugcbase:jar:1.1.34: Failed to read artifact...

Views

1.8K

Likes

0

Replies

13